<?php

//pure entity class for users
class User
{
    private $m_userName;
    private $m_pwd;
    private $m_salt; //for creating new users from the admin tool
    private $m_firstName;
    private $m_lastName;
    private $m_email;
    private $m_isAdmin;
    private $m_isEditor;
    private $m_isAuthor;
    private $m_create_by;
    private $m_create_dt;
    private $m_mod_by;
    private $m_mod_dt;
   
    public function __construct($in_userName,$in_pwd, $in_salt, $in_fname,$in_lname, $in_isAdmin, $in_isEditor, $in_isAuthor, $in_currentUser)
    {
        $this->m_userName = $in_userName;
        $this->m_pwd = $in_pwd;
        $this->m_salt = $in_salt;
        $this->m_firstName = $in_fname;
        $this->m_lastName = $in_lname;
        $this->m_isAdmin = $in_isAdmin;
        $this->m_isEditor = $in_isEditor;
        $this->m_isAuthor = $in_isAuthor;
        $this->m_create_by = $in_currentUser;
        $this->m_mod_by = $in_currentUser;
    }
    
    public function getSalt() {
        return $this->m_salt;
    }

    public function setSalt($m_salt) {
        $this->m_salt = $m_salt;
    }

        public function getUserName()
    {
        return ($this->m_userName);
    }
    
    public function getFirstName()
    {
        return ($this->m_firstName);
    }
    
    public function getPwd()
    {
        return ($this->m_pwd);
    }
    
    public function setUserName($in_uname)
    {
        $this->m_userName = $in_uname;
    }
    
    public function setPwd($in_pwd)
    {
        $this->m_pwd = $in_pwd;
    }
    
    
    public function setFirstName($in_firstName)
    {
        $this->m_firstName = $in_firstName;
    }

    public function getLastName()
    {
        return ($this->m_lastName);
    }
    
    public function setLastName($in_lastName)
    {
        $this->m_lastName = $in_lastName;
    }
    
    public function getEmail()
    {
        return ($this->m_email);
    }
    
    public function setEmail($in_email)
    {
        $this->m_email = $in_email;
    }
    
    public function setAdmin($in_set)
    {
        $this->m_isAdmin = $in_set;
    }
    
    public function setEditor($in_set)
    {
        $this->m_isEditor = $in_set;
    }

    public function setAuthor($in_set)
    {
        $this->m_isAuthor = $in_set;
    }
    
    public function isAdmin()
    {
        return $this->m_isAdmin;
    }
    
    public function isEditor()
    {
        return $this->m_isEditor;
    }

    public function isAuthor()
    {
        return $this->m_isAuthor;
    }

    public function getCreate_by() {
        return $this->m_create_by;
    }

    public function setCreate_by($m_create_by) {
        $this->m_create_by = $m_create_by;
    }

    public function getCreate_dt() {
        return $this->m_create_dt;
    }

    public function setCreate_dt($m_create_dt) {
        $this->m_create_dt = $m_create_dt;
    }

    public function getMod_by() {
        return $this->m_mod_by;
    }

    public function setMod_by($m_mod_by) {
        $this->m_mod_by = $m_mod_by;
    }

    public function getMod_dt() {
        return $this->m_mod_dt;
    }

    public function setMod_dt($m_mod_dt) {
        $this->m_mod_dt = $m_mod_dt;
    }


}

?>
