<?php

require_once('../model/BEUserModel.php');//any model classes being used
require_once('BackEndController.php');//any other controllers being invoked
require_once('LogoutController.php');

/*I was going to do a controller for each entity, but then I realized I'd need
more php root pages. So I went with one big controller. This is just a one-off
to show I could break things up into many controllers (and make the invoke() of BackEnd
a little less nightmarish).
 Next time I will probably just use a framework. */
class ManageUsersController 
{
    
    private $user_model;
    
    public function __construct()
    {
         $this->user_model = new BEUserModel();
    }
    
    public function invoke()
    {
         session_start();

             //get users
             $users = $this->user_model->fetchAllUsers();
             include '../view/cmanager/usermgr.phtml';
        
    }
    
}
?>
