<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

require_once 'iFrontEndDataModel.php';
class MySQLFrontEndDataModel implements iFrontEndDataModel
{

    private $dbConnection;
    private $result;

    // iUserDataModel methods
    //connect as frontwebuser
    public function connectToDB()
    {
        //this user can only select from users table
         $this->dbConnection = @new mysqli("localhost","frontwebuser", "SRztZ8m8JXKQQ64y","ezcms");
         //$this->dbConnection = @new mysqli("localhost","root", "","ezcms");
         if (!$this->dbConnection)
         {
               die('Could not connect to the CMS Database: ' .
                        $this->dbConnection->connect_errno);
         }
    }

    //disconnect
    public function closeDB()
    {  
        $this->dbConnection->close();
    }

    //get the one template marked for use
    //its directives appear in <style> in <head>
    public function findActiveTemplate()
    {
        $myQuery = "SELECT * from templates WHERE isActive = '1'";
        $this->result = @$this->dbConnection->query($myQuery);
        return $this->result->fetch_array();//the row
    }
    
    //get page by alias (how the links work)
    public function findPage($alias)
    {
        $myQuery = "SELECT * from pages WHERE alias = '$alias'";
        $this->result = @$this->dbConnection->query($myQuery);
        return $this->result->fetch_array();//the row
    }
    
    //get page by name (how article assignments work)
    public function findPageDirect($name)
    {
        $myQuery = "SELECT * from pages WHERE name = '$name'";
        $this->result = @$this->dbConnection->query($myQuery);
        return $this->result->fetch_array();//the row
    }
    
    //get ALL content areas
    //(all content areas display on every page, though each area / page combo
    //can have 0 to infinite articles)
    public function selectAreas()
    {
       $selectStatement = "SELECT * FROM areas";
       $selectStatement .= " ORDER BY `areas`.`order` ASC;";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //get one row from the record of content areas
    public function fetchAreas()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //get an article by its name
    public function selectArticle($articleID)
    {
       $selectStatement = "SELECT * FROM articles";
       $selectStatement .= " WHERE name = '$articleID';";
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //get all the articles we need given a page name
    //this means articles assigned to that page
    //plus articles assigned to the 'allpage' wildcard
    public function selectArticles($pageID)
    {
       $selectStatement = "SELECT * FROM articles";
       $selectStatement .= " WHERE page = '$pageID' OR page = 'allpage'";
       $selectStatement .= " ORDER BY `articles`.`create_dt` DESC;";//newest first
       $this->result = @$this->dbConnection->query($selectStatement);
       if(!$this->result)
       {
               die('Could not retrieve records from the CMS Database: ' .
                       $this->dbConnection->error);
       }
        
        
    }
    
    //get one row from the record of articles
    public function fetchArticles()
    {
       if(!$this->result)
       {
               die('No records in the result set: ' .
                       $this->dbConnection->error);
       }
       return $this->result->fetch_array();
        
    }
    
    //update an article
    public function updateArticle($who,$oname,$editArticle)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($editArticle->getName());
       $titleclean = @$this->dbConnection->real_escape_string($editArticle->getTitle());
       $descriptionclean = @$this->dbConnection->real_escape_string($editArticle->getDescription());
       $pageclean = @$this->dbConnection->real_escape_string($editArticle->getPage());
       $areaclean = @$this->dbConnection->real_escape_string($editArticle->getArea());
       $bodyclean = @$this->dbConnection->real_escape_string($editArticle->getBody());
       
       @$this->dbConnection->query("UPDATE `ezcms`.`articles` SET `name` = '$nameclean', `title` = '$titleclean', `description` = '$descriptionclean', `page` = '$pageclean', `area` = '$areaclean', `body` = '$bodyclean', `mod_by` = '$who' WHERE `articles`.`name` = '$oname';");
       
       return;
    }
    
    //insert article
    public function saveNewArticle($who,$newArticle)
    {
        
       $nameclean = @$this->dbConnection->real_escape_string($newArticle->getName());
       $titleclean = @$this->dbConnection->real_escape_string($newArticle->getTitle());
       $descriptionclean = @$this->dbConnection->real_escape_string($newArticle->getDescription());
       $pageclean = @$this->dbConnection->real_escape_string($newArticle->getPage());
       $areaclean = @$this->dbConnection->real_escape_string($newArticle->getArea());
       $bodyclean = @$this->dbConnection->real_escape_string($newArticle->getBody());
        
       @$this->dbConnection->query("INSERT INTO articles(name, title, description, page, area, body, create_by) VALUES('$nameclean','$titleclean','$descriptionclean','$pageclean','$areaclean','$bodyclean','$who');");
       
       return;
    }

}

?>
