/* 
 Form validation central!
 */

function validateNewUser(form){

        var vUname=document.forms[form]["username"].value;
        if (!isValidUName(vUname)){
            alert('Username must be at least eight word characters.');
            return false;
        }
        var vPwd=document.forms[form]["password"].value;
        if (!isValidThing(vPwd)){
            alert('Password cannot be empty and must be of word characters.');
            return false;
        }
        var vFname=document.forms[form]["first_name"].value;
        if (!isValidThing(vFname)){
            alert('First name cannot be empty and must be of word characters.');
            return false;
        }
        var vLname=document.forms[form]["last_name"].value;
        if (!isValidThing(vLname)){
            alert('Last name cannot be empty and must be of word characters.');
            return false;
        }
        //alert('You passed!');
        return true;
        
}

function validateEditUser(form){

        var vUname=document.forms[form]["username"].value;
        if (!isValidUName(vUname)){
            alert('Username must be at least eight word characters.');
            return false;
        }
        var vFname=document.forms[form]["first_name"].value;
        if (!isValidThing(vFname)){
            alert('First name cannot be empty and must be of word characters.');
            return false;
        }
        var vLname=document.forms[form]["last_name"].value;
        if (!isValidThing(vLname)){
            alert('Last name cannot be empty and must be of word characters.');
            return false;
        }
        //alert('You passed!');
        return true;
        
}

function validateNewPage(form){

        var vPname=document.forms[form]["name"].value;
        if (vPname == ""){
            alert('Name cannot be empty.');
            return false;
        }
        var vPalias=document.forms[form]["alias"].value;
        if (vPalias == ""){
            alert('Alias cannot be empty.');
            return false;
        }
        if (!isNoSpace(vPalias)){
            alert('Alias may not contain spaces.');
            return false;            
        }
        //alert('You passed!');
        return true;
        
}

function validateNewArea(form){

        var vAname=document.forms[form]["name"].value;
        if (vAname == ""){
            alert('Name cannot be empty.');
            return false;
        }
        var vAalias=document.forms[form]["alias"].value;
        if (vAalias == ""){
            alert('Alias cannot be empty.');
            return false;
        }
        if (!isNoSpace(vAalias)){
            alert('Alias may not contain spaces.');
            return false;            
        }
        var vAorder=document.forms[form]["order"].value;
        if (vAorder == ""){
            alert('Order cannot be empty.');
            return false;
        }
        if (!isInteger(vAorder)){
            alert('Order must contain digits only.');
            return false;            
        }
        //alert('You passed!');
        return true;
        
}

function validateNewArticle(form){

        var vAname=document.forms[form]["name"].value;
        if (vAname == ""){
            alert('Name cannot be empty.');
            return false;
        }
        var vAtitle=document.forms[form]["title"].value;
        if (vAtitle == ""){
            alert('Title cannot be empty.');
            return false;
        }
        var vAbody=document.forms[form]["body"].value;
        if (vAbody == ""){
            alert('Body cannot be empty.');
            return false;
        }
        //alert('You passed!');
        return true;
        
}

function validateNewTemplate(form){

        var vTname=document.forms[form]["name"].value;
        if (vTname == ""){
            alert('Name cannot be empty.');
            return false;
        }
        var vTdirectives=document.forms[form]["directives"].value;
        if (vTdirectives == ""){
            alert('Directives cannot be empty.');
            return false;
        }
        //alert('You passed!');
        return true;
        
}

//written myself, with help from http://regex101.com/
function isValidUName(input){
	var regExp = /^\w{8,20}$/;
	if(input.match(regExp)){
                return true;
	}else{
                return false;
	}
}

function isValidThing(input){
	var regExp = /^\w{1,20}$/;
	if(input.match(regExp)){
                return true;
	}else{
                return false;
	}
}

function isNoSpace(input){
	var regExp = /^.*\s+.*$/;
	if(input.match(regExp)){
                return false;
	}else{
                return true;
	}
}

function isInteger(input){
	var regExp = /^[0-9]{1,}$/;
	if(input.match(regExp)){
                return true;
	}else{
                return false;
	}
}

